
From: Matt Porter <mporter@kernel.crashing.org>

Fix a bug introduced in the PPC44x early uart setup from the last set of
44x fixes.

Signed-off-by: Matt Porter <mporter@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/kernel/head_44x.S |    8 --------
 1 files changed, 8 deletions(-)

diff -puN arch/ppc/kernel/head_44x.S~ppc32-fix-ppc44x-early-uart-setup arch/ppc/kernel/head_44x.S
--- 25/arch/ppc/kernel/head_44x.S~ppc32-fix-ppc44x-early-uart-setup	2004-07-26 22:00:40.273472560 -0700
+++ 25-akpm/arch/ppc/kernel/head_44x.S	2004-07-26 22:00:40.277471952 -0700
@@ -209,14 +209,6 @@ skpinv:	addi	r4,r4,1				/* Increment */
 	tlbwe	r4,r0,PPC44x_TLB_XLAT	/* Load the translation fields */
 	tlbwe	r5,r0,PPC44x_TLB_ATTRIB	/* Load the attrib/access fields */
 
-	ori	r3,r3,PPC44x_TLB_TS	/* Translation state 1 */
-
-        li      r0,1			/* TLB slot 1 */
-
-	tlbwe	r3,r0,PPC44x_TLB_PAGEID	/* Load the pageid fields */
-	tlbwe	r4,r0,PPC44x_TLB_XLAT	/* Load the translation fields */
-	tlbwe	r5,r0,PPC44x_TLB_ATTRIB	/* Load the attrib/access fields */
-
 	/* Force context change */
 	isync
 #endif /* CONFIG_SERIAL_TEXT_DEBUG */
_
